Rails start problem

Hi!

I’ve installed ruby(1.8.4)/rails(1.1.6) at Centos, and when I try to
execute “rails -v” command - get strange error:

/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/core_ext/module/introspection.rb:6:in
parent': undefined methodconstantize’ for “CGI::Session”:String
(NoMethodError)
from
/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:130:in
const_missing' from /usr/local/lib/ruby/gems/1.8/gems/actionpack-1.12.5/lib/action_controller/session/drb_store.rb:8 from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:inrequire’
from
/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:147:in
require' from /usr/local/lib/ruby/gems/1.8/gems/actionpack-1.12.5/lib/action_controller/session_management.rb:1 from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:inrequire’
from
/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:147:in
require' from /usr/local/lib/ruby/gems/1.8/gems/actionpack-1.12.5/lib/action_controller.rb:56 from /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:inrequire’
from
/usr/local/lib/ruby/gems/1.8/gems/activesupport-1.3.1/lib/active_support/dependencies.rb:147:in
require' from /usr/local/lib/ruby/site_ruby/1.8/rubygems.rb:229:inactivate’
from /usr/local/lib/ruby/site_ruby/1.8/rubygems.rb:228:in
activate' from /usr/local/lib/ruby/site_ruby/1.8/rubygems.rb:214:inactivate’
from /usr/local/lib/ruby/site_ruby/1.8/rubygems.rb:213:in
activate' from /usr/local/lib/ruby/site_ruby/1.8/rubygems.rb:66:inactive_gem_with_options’
from /usr/local/lib/ruby/site_ruby/1.8/rubygems.rb:59:in
`require_gem’
from /usr/local/bin/rails:17

I.e. problem with require rails gem.

Thanks,
Ilya

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs